Summary: A multicast FTP client and server
Name: uftp
Version: 4.9.8
Release: %mkrel 3
Source0: https://sourceforge.net/projects/uftp-multicast/files/source-tar/%{name}-%{version}.tar.gz
License: GPLv2
Group: Networking/File transfer
Url: https://www.tcnj.edu/~bush/uftp.html

Patch0: makefile-lib64-openssl.patch
Patch1: gcc10.patch

BuildRequires: pkgconfig(openssl)

%description
UFTP is a multicast file transfer program, utilizing a protocol based on
Starburst MFTP. It is designed to reliably and efficiently transfer files
to multiple receivers simultaneously, where either the intended receivers
can be specified beforehand, or receivers can join the transfer when it is
initiated. This is useful for distributing large files to a large number of
receivers, and is especially useful for data distribution over a satellite
link (with two way communication), where the inherent delay makes any TCP
based communication terribly inefficient. UFTP has been used in the production
process of The Wall Street Journal to send WSJ pages over satellite to their
remote printing plants.

%package server
Summary: A multicast ftp server
Group: Networking/File transfer

%description server
UFTP is a multicast file transfer program, utilizing a protocol based on
Starburst MFTP. It is designed to reliably and efficiently transfer files
to multiple receivers simultaneously, where either the intended receivers
can be specified beforehand, or receivers can join the transfer when it is
initiated. This is useful for distributing large files to a large number of
receivers, and is especially useful for data distribution over a satellite
link (with two way communication), where the inherent delay makes any TCP
based communication terribly inefficient. UFTP has been used in the production
process of The Wall Street Journal to send WSJ pages over satellite to their
remote printing plants.

%prep
%setup -q

%ifarch aarch64 x86_64
%patch0 -p1
%endif
%patch1 -p1

%build
%make_build -f makefile OPENSSL=%{_prefix} CFLAGS="%optflags"

%install
make DESTDIR=%{buildroot} install

%__mkdir_p %{buildroot}%{_sbindir}
mv %{buildroot}%{_bindir}/uftpd %{buildroot}%{_sbindir}/uftpd
mv %{buildroot}%{_bindir}/uftpproxyd %{buildroot}%{_sbindir}/uftpproxyd

%files
%{_bindir}/uftp
%{_bindir}/uftp_keymgt
%{_mandir}/man1/uftp.1*
%{_mandir}/man1/uftp_keymgt.1*
%doc Changes.txt ReadMe.txt

%files server
%{_sbindir}/uftpd
%{_sbindir}/uftpproxyd
%{_mandir}/man1/uftpd.1*
%{_mandir}/man1/uftpproxyd.1*
%doc Changes.txt ReadMe.txt



%changelog
* Thu Jul 02 2020 joequant <joequant> 4.9.8-3.mga8
+ Revision: 1601362
- fix for gcc10
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 4.9.8-2.mga8
+ Revision: 1521789
- Mageia 8 Mass Rebuild

* Wed Jan 02 2019 kekepower <kekepower> 4.9.8-1.mga7
+ Revision: 1348536
- Update to version 4.9.8

* Sun Sep 23 2018 umeabot <umeabot> 2.6.3-8.mga7
+ Revision: 1301503
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 2.6.3-7.mga6
+ Revision: 944223
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.6.3-6.mga5
+ Revision: 748683
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.6.3-5.mga5
+ Revision: 690024
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.6.3-4.mga4
+ Revision: 519846
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.6.3-3.mga3
+ Revision: 385013
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 nanardon <nanardon> 2.6.3-2.mga2
+ Revision: 218573
- imported package uftp

